package summarymeasures;

import java.awt.Dimension;
import javax.swing.JTextField;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * InputField.java
 * Created by Stijn Strickx on Mar. 2 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class InputField extends JTextField implements ChangeListener{
    
    private InputModel model;
    
    public InputField(InputModel model){        
        super(model.getInput());
        setEditable(false);
        setHorizontalAlignment(JTextField.RIGHT);
        setPreferredSize(new Dimension(150,20));
        this.model = model;
        model.addChangeListener(this);
    }
    public void stateChanged(ChangeEvent e) {
        setText(model.getInput());
    }
}
