package summarymeasures;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JRadioButton;

/**
 * OutputRadioBtn.java
 * Created by Stijn Strickx on Mar. 2 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class OutputRadioBtn extends JRadioButton implements ActionListener{
    
    private OutputModel outModel;
    private String text;
    private String actCmd;
    
    public OutputRadioBtn(OutputModel outModel, String text, String actCmd){
        super(text);
        setActionCommand(actCmd);
        this.text = text;
        this.actCmd = actCmd;
        this.outModel = outModel;
        addActionListener(this);        
    }

    public void actionPerformed(ActionEvent e) {
        outModel.setActiveRadio(actCmd);
    }
}
